{% extends 'base.html' %}
{% block title %}Billet scanné{% endblock %}
{% block content %}
    <style>
        #button {
            font-size: 15pt;
            border: 1px solid #0f6ab4;
            padding: 5px;
            border-radius: 5px;
            margin: 5px;
            margin-bottom: 15px;
        }

        #alert {
            color: red;
            font-weight: bold;
        }
    </style>
    <a id="button" href="{% url "scan-billet" file.id %}">Scanner à nouveau</a> <br /><br />
    {% if exist %}
    {% if scanned %}<div id="alert">Billet déjà scanné dans la file {{ file.nom }} à {{ compostage.date }}<br /></div>{% endif %}

    <h2>Participant</h2>
    <p>
        Billet de {{ billet.participants.first.first_name }} {{ billet.participants.first.last_name }}
        <br />
        Produit : {{ billet.product.name }}
        <br />
        Options : {% for option in billet.options.all %}{{ option }} ; {% endfor %}
    </p>

    {% if billet.participants.first.place %}
        <h2>Placement</h2>
        <p>
            Table #{{ billet.participants.first.place.table.id }} : {{ billet.participants.first.place.table.nom_table }}
            <br />
            Numéro de la place : {{ billet.participants.first.place.place }}
            <br />
            Repas particulier : {{ billet.participants.first.place.repas_particulier|yesno:'oui,non'  }}
        </p>
    {% endif %}
    <br />
    <br />
    {% else %}
        <div id="alert">Billet non trouvé dans la base de données</div>
    {% endif %}

{% endblock %}
